'use strict';
define([
  'angular',
  'widgets/utilities/relations/services/relationDirectivesProvider',
  'widgets/utilities/relations/directives/formRelation',
  'angular-strap',
  'angular-strap.tpl',
  'angular-route',
  'toastr',
  'ol3js',
  'ng-table',
], function(angular, relationDirectivesProvider, formRelation) {
  // generation du module
  //
  var relationutilities = angular.module('relationutilities', [
    'mgcrea.ngStrap',
    'ngRoute',
    'pascalprecht.translate',
  ]);
  // ajout service
  relationutilities.provider(
    'relationDirectivesProvider',
    relationDirectivesProvider
  );
  relationutilities.directive('formRelation', formRelation);
  return relationutilities;
});
